Gentoo Archives: gentoo-dev

From: "Michał Górny" <mgorny@g.o>
To: gentoo-dev@l.g.o
Cc: "Michał Górny" <mgorny@g.o>
Subject: [gentoo-dev] [PATCH vcs-snapshot] Use ${WORKDIR}/${P} rather than ${S} to support ${S} overrides.
Date: Mon, 04 Jun 2012 09:59:00
Message-Id: 1338803954-3814-1-git-send-email-mgorny@gentoo.org
One could set S to work on a subtree of the tarball rather than
the whole tarball. Considering that, it's probably better to use
${WORKDIR}/${P} rather than ${S}.

Fixes: https://bugs.gentoo.org/show_bug.cgi?id=419479
---
 gx86/eclass/vcs-snapshot.eclass |    5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/gx86/eclass/vcs-snapshot.eclass b/gx86/eclass/vcs-snapshot.eclass
index 6748360..23cd696 100644
--- a/gx86/eclass/vcs-snapshot.eclass
+++ b/gx86/eclass/vcs-snapshot.eclass
@@ -9,7 +9,8 @@
 # @DESCRIPTION:
 # This eclass provides a convenience src_unpack() which does support
 # working with snapshots generated by various VCS-es. It unpacks those
-# to ${S} rather than the original directory containing commit id.
+# to ${WORKDIR}/${P} rather than the original directory containing
+# commit id.
 #
 # Note that this eclass handles only unpacking. You need to specify
 # SRC_URI yourself, and call any autoreconfiguration as necessary.
@@ -41,5 +42,5 @@ vcs-snapshot_src_unpack() {
 
 	# github, bitbucket: username-projectname-hash
 	# gitweb: projectname-tagname-hash
-	mv *-*-[0-9a-f]*[0-9a-f]/ "${S}" || die
+	mv *-*-[0-9a-f]*[0-9a-f]/ "${WORKDIR}"/${P} || die
 }
-- 
1.7.10.2

Replies